ConnectionPermission (Hadoop 0.20.1+169.127 API)
Date: 2011-01-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authorize
Class ConnectionPermission

    java.lang.Object
      java.security.Permission
          org.apache.hadoop.security.authorize.ConnectionPermission

All Implemented Interfaces:
  Serializable, Guard

    public class ConnectionPermission

extends Permission

`Permission` to initiate a connection to a given service.

See Also:
  Serialized Form

Constructor Summary
`ConnectionPermission(Class<?> protocol)` `ConnectionPermission` for a given service.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getActions()`
`int` | `hashCode()`
`boolean` | `implies(Permission permission)`
`String` | `toString()`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionPermission

    public ConnectionPermission(Class<?> protocol)

  `ConnectionPermission` for a given service.

  Parameters:
    `protocol` - service to be accessed

Method Detail

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in class `Permission`

### getActions

    public String getActions()

  Specified by:
    `getActions` in class `Permission`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `Permission`

### implies

    public boolean implies(Permission permission)

  Specified by:
    `implies` in class `Permission`

### toString

    public String toString()

  Overrides:
    `toString` in class `Permission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation